System requirements

From Aggressors: Ancient Rome Wiki
Jump to: navigation, search

The following are the minimum and recommended system requirements for Aggressors: Ancient Rome. While these requirements do not represent a guaranteed working configuration, meeting the minimum requirements should ensure at least a launch-able environment.

Recommended requirements[edit | edit source]

  • OS: Windows 7 or later
  • Processor: Quad Core 2.5GHz
  • Memory: 8 GB RAM
  • Graphics: DirectX 9 class GPU with 2GB VRAM
  • DirectX: Version 9.0
  • Storage: 1500 MB available space

Minimum requirements[edit | edit source]

  • OS: Windows 7
  • Processor: Dual Core 2.0 GHz
  • Memory: 2 GB RAM
  • Graphics: DirectX 9 class GPU with 1GB VRAM
  • DirectX: Version 9.0
  • Storage: 1500 MB available space

See also[edit | edit source]